package io.modules.item.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import io.modules.item.dao.ArticleDao;
import io.modules.item.dto.AccountDTO;
import io.modules.item.entity.AccountEntity;
import io.modules.item.service.AccountService;
import cn.hutool.core.util.StrUtil;
import io.common.service.impl.CrudServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Map;


@Service
public class AccountServiceImpl extends CrudServiceImpl<ArticleDao, AccountEntity, AccountDTO> implements AccountService {

    @Override
    public QueryWrapper<AccountEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");
        String userId = (String)params.get("userId");
        QueryWrapper<AccountEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StrUtil.isNotBlank(id), "id", id);
        wrapper.eq("user_id", userId);
        wrapper.orderByDesc("create_time");
        return wrapper;
    }
}
